<?xml version='1.0' encoding='UTF-8' standalone='yes' ?><hierarchy rotation="0"><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,1824]"><node index="0" text="" resource-id="" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,1824]"><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,1824]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/decor_content_parent" class="android.view.ViewGroup" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,1824]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/action_bar_container" class="android.widget.FrameLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,176]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/action_bar" class="android.view.ViewGroup" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,176]"><node index="0" text="Fwknop2" resource-id="" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[48,85][212,139]" /><node index="1" text="" resource-id="" class="android.support.v7.widget.LinearLayoutCompat" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1104,48][1184,176]"><node index="0" text="" resource-id="" class="android.widget.ImageView" package="org.cipherdyne.fwknop2" content-desc="More options" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[1104,64][1184,160]" /></node></node></node><node index="1" text="" resource-id="android:id/content" class="android.widget.FrameLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,176][1200,1824]"><node index="0" text="" resource-id="" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[32,176][1168,1824]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/config_list" class="android.widget.RelativeLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[32,176][315,1824]"><node index="0" text="" resource-id="android:id/list" class="android.widget.ListView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[32,176][315,1728]" /></node><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/config_detail_container" class="android.widget.FrameLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[317,176][1168,1824]"><node index="0" text="" resource-id="" class="android.widget.ScrollView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[317,176][1168,1824]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/config_detail" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[317,176][1168,1556]"><node index="0" text="" resource-id="org.cipherdyne.fwknop2:id/NicknameSL" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,208][1136,304]"><node index="0" text="Nickname:" resource-id="org.cipherdyne.fwknop2:id/NickNameStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,228][539,282]" /><node NAF="true" index="1" text="" resource-id="org.cipherdyne.fwknop2:id/NickName" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="true" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[539,208][1136,304]" /></node><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/destIPl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,304][1136,400]"><node index="0" text="Server Address:" resource-id="org.cipherdyne.fwknop2:id/destIPStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,324][631,378]" /><node NAF="true" index="1" text="" resource-id="org.cipherdyne.fwknop2:id/destIP" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[631,304][1136,400]" /></node><node index="2" text="Use Legacy Mode" resource-id="org.cipherdyne.fwknop2:id/chkblegacy" class="android.widget.CheckBox" package="org.cipherdyne.fwknop2" content-desc="" checkable="true" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,400][730,464]" /><node index="3" text="Use Random Server Port" resource-id="org.cipherdyne.fwknop2:id/chkbrandom" class="android.widget.CheckBox" package="org.cipherdyne.fwknop2" content-desc="" checkable="true" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,464][850,528]" /><node index="4" text="" resource-id="org.cipherdyne.fwknop2:id/destPortl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,528][1136,624]"><node index="0" text="Server Port:" resource-id="org.cipherdyne.fwknop2:id/destPortStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,548][558,602]" /><node index="1" text="62201" resource-id="org.cipherdyne.fwknop2:id/destPort" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[558,528][1136,624]" /></node><node index="5" text="" resource-id="" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,624][1136,678]"><node index="0" text="Protocol:" resource-id="org.cipherdyne.fwknop2:id/protocolStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,624][511,678]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/spn_protocol" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[511,631][1136,678]"><node index="0" text="UDP" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[511,633][1088,676]" /></node></node><node index="6" text="" resource-id="org.cipherdyne.fwknop2:id/passwdl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,678][1136,774]"><node index="0" text="Rijndael Key:" resource-id="org.cipherdyne.fwknop2:id/passwdStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,698][576,752]" /><node NAF="true" index="1" text="" resource-id="org.cipherdyne.fwknop2:id/passwd" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[576,678][1136,774]" /></node><node index="7" text="Key Is Base 64" resource-id="org.cipherdyne.fwknop2:id/chkb64key" class="android.widget.CheckBox" package="org.cipherdyne.fwknop2" content-desc="" checkable="true" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,774][672,838]" /><node index="8" text="" resource-id="" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,838][1136,892]"><node index="0" text="SPA Digest Type" resource-id="org.cipherdyne.fwknop2:id/DigestTypeStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,838][639,892]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/spn_DigestType" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[639,845][1136,892]"><node index="0" text="SHA256" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[639,847][1088,890]" /></node></node><node index="9" text="" resource-id="org.cipherdyne.fwknop2:id/hmacl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,892][1136,988]"><node index="0" text="HMAC Key:" resource-id="org.cipherdyne.fwknop2:id/hmacStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,912][549,966]" /><node NAF="true" index="1" text="" resource-id="org.cipherdyne.fwknop2:id/hmac" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[549,892][1136,988]" /></node><node index="10" text="HMAC Is Base 64" resource-id="org.cipherdyne.fwknop2:id/chkb64hmac" class="android.widget.CheckBox" package="org.cipherdyne.fwknop2" content-desc="" checkable="true" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,988][724,1052]" /><node index="11" text="" resource-id="" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1052][1136,1106]"><node index="0" text="SPA HMAC Type" resource-id="org.cipherdyne.fwknop2:id/HMACTypeStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1052][642,1106]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/spn_HMACType" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[642,1059][1136,1106]"><node index="0" text="SHA256" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[642,1061][1088,1104]" /></node></node><node index="12" text="" resource-id="org.cipherdyne.fwknop2:id/allowipl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1106][1136,1160]"><node index="0" text="Allow IP:" resource-id="org.cipherdyne.fwknop2:id/allowipstr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1106][504,1160]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/allowip" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[504,1113][1136,1160]"><node index="0" text="Resolve IP" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[504,1115][1088,1158]" /></node></node><node index="13" text="" resource-id="org.cipherdyne.fwknop2:id/configtypel" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1160][1136,1214]"><node index="0" text="Message Type:" resource-id="org.cipherdyne.fwknop2:id/configtypestr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1160][617,1214]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/configtype" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[617,1167][1136,1214]"><node index="0" text="Open Port" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[617,1169][1088,1212]" /></node></node><node index="14" text="" resource-id="org.cipherdyne.fwknop2:id/AccessPortsl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1214][1136,1310]"><node index="0" text="Access Ports:" resource-id="org.cipherdyne.fwknop2:id/AccessPortsStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1234][597,1288]" /><node index="1" text="tcp/22" resource-id="org.cipherdyne.fwknop2:id/AccessPorts" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[597,1214][1136,1310]" /></node><node index="15" text="" resource-id="org.cipherdyne.fwknop2:id/fwTimeoutl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1310][1136,1406]"><node index="0" text="Firewall Timeout:" resource-id="org.cipherdyne.fwknop2:id/fwTimeoutStr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1330][656,1384]" /><node index="1" text="60" resource-id="org.cipherdyne.fwknop2:id/fwTimeout" class="android.widget.EditText" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[656,1310][1136,1406]" /></node><node index="16" text="Keep open:" resource-id="org.cipherdyne.fwknop2:id/chkbKeep_open" class="android.widget.CheckBox" package="org.cipherdyne.fwknop2" content-desc="" checkable="true" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1406][609,1470]" /><node index="17" text="" resource-id="org.cipherdyne.fwknop2:id/sshl" class="android.widget.LinearLayout" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1470][1136,1524]"><node index="0" text="Run External App:" resource-id="org.cipherdyne.fwknop2:id/sshstr" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[349,1470][663,1524]" /><node index="1" text="" resource-id="org.cipherdyne.fwknop2:id/ssh" class="android.widget.Spinner" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[663,1477][1136,1524]"><node index="0" text="None" resource-id="android:id/text1" class="android.widget.TextView" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[663,1479][1088,1522]" /></node></node></node></node></node></node></node></node></node></node><node index="1" text="" resource-id="android:id/statusBarBackground" class="android.view.View" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,48]" /><node index="2" text="" resource-id="android:id/navigationBarBackground" class="android.view.View" package="org.cipherdyne.fwknop2" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][0,0]" /></node></hierarchy>